Name:		connman
Summary:	Connection Manager
Group:		Networking/Other
Version:	1.14
License:	GPLv2
URL:		http://www.moblin.org
Release:	%mkrel 3
Source0:	http://www.kernel.org/pub/linux/network/%{name}/%{name}-%{version}.tar.xz
Patch0:		connman-1.4-linkage.patch
# upstream 1ea2216d285f36a7cd42db863b1c291d465678e6
Patch1:		connman-1.14-strfmt.patch
BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	udev-devel
BuildRequires:	dhcp-client
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	readline-devel
BuildRequires:	ppp-devel
BuildRequires:	gtk-doc
BuildRequires:	iptables-devel
Buildrequires: systemd-devel
BuildRequires:	openvpn openconnect vpnc
Requires:	openvpn openconnect vpnc
Requires:	dbus
Requires:	dhcp-client >= 3.0.2
Requires:	wpa_supplicant >= 0.5.7
Requires:	bluez
Requires(pre):	rpm-helper

%description
Connection Manager provides a daemon for managing Internet connections
within embedded devices running the Linux operating system.

%package devel

Summary: Development files for Connection Manager
Group: Development/C

Requires: %{name} >= %{version}

%description devel
connman-devel contains development files for use with connman.

%prep
%setup -q -n connman-%{version}
%apply_patches

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -fi
%configure2_5x	--disable-static \
		--enable-ethernet \
		--enable-wifi \
		--enable-bluetooth \
		--enable-datafiles \
		--enable-loopback \
		--enable-client \
		--enable-threads \
		--enable-gtk-doc \
		--enable-hh2serial-gps \
		--enable-openvpn \
		--enable-openconnect \
		--enable-vpnc \
		--enable-l2tp \
		--enable-iospm \
		--enable-tist \
		--enable-nmcompat \
		--enable-polkit
%make

%install
%makeinstall_std

install -d %{buildroot}%{_datadir}/dbus-1/system-services/
install -m644 src/connman.service %{buildroot}%{_datadir}/dbus-1/system-services/org.moblin.connman.service

%files
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_sbindir}/*
%dir %{_libdir}/%{name}/scripts/
%{_libdir}/%{name}/plugins/*.so
%{_libdir}/%{name}/plugins-vpn/*.so
%config %{_sysconfdir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/system-services/net.connman.vpn.service
%{_datadir}/dbus-1/system-services/org.moblin.connman.service
%{_datadir}/polkit-1/actions/net.%{name}.policy
%{_datadir}/polkit-1/actions/net.%{name}.vpn.policy
%{_libdir}/%{name}/scripts/*.so*
%{_libdir}/%{name}/scripts/open*-script
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}-vpn.service
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}/plugins/*.la
%{_libdir}/%{name}/plugins-vpn/*.la
%{_libdir}/%{name}/scripts/*.la


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.14-3.mga4
+ Revision: 526594
- Mageia 4 Mass Rebuild

* Wed Jun 05 2013 fwang <fwang> 1.14-2.mga4
+ Revision: 437500
- rebuild for new iptables

* Sun May 26 2013 blino <blino> 1.14-1.mga4
+ Revision: 428131
- package man pages
- cherry-pick string format patch
- drop merged patch
- 1.14

* Mon Jan 14 2013 tmb <tmb> 1.10-2.mga3
+ Revision: 388077
- BR systemd-devel
- update filelists
- work around broken kernel-headers (P1)

  + dmorgan <dmorgan>
    - New version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 1.9-3.mga3
+ Revision: 336567
- fix build with new automake 1.13

* Sat Nov 17 2012 shlomif <shlomif> 1.9-2.mga3
+ Revision: 319200
- Missing BR
- New version 1.9

* Fri Nov 09 2012 fwang <fwang> 1.4-2.mga3
+ Revision: 316554
- fix linkage of scripts plugin
- rebuild for new xtables

* Thu Aug 16 2012 fedya <fedya> 1.4-1.mga3
+ Revision: 281489
- %mkrel macro
- few rpmlint messages fix
- imported package connman

